Subject: Re: [PATCH 1/3] completion: fix alias listings with newlines

From: Johannes Sixt <[email-masked]>
Date: Thu, 08 Oct 2009 10:10:53 +0200

Stephen Boyd schrieb:
> Johannes Sixt wrote:
>> OTOH, you can simply revert the hunk from 518ef8f (completion: Replace
>> config --list with --get-regexp, 2009-09-11) that applies here, or even
>> only reinstate the case statement in the loop body without changing
>> anything else.
> 
> I'm not opposed to the idea, but then it wouldn't work with something like
> 
> [alias]
>     whowhat = "log --format="%an\nalias.broken=foo'"
> 
> although that actually happening is probably rare, it can still happen.

I'd ignore this case, but *you* write the patch, *you* get to draw the line ;)

-- Hannes